DefaultResourceLocator (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.core.io
[Java] Class DefaultResourceLocator

    java.lang.Object
      org.codehaus.groovy.grails.core.io.DefaultResourceLocator

All Implemented Interfaces:
  PluginManagerAware, ResourceLocator, org.springframework.context.ResourceLoaderAware

    public class DefaultResourceLocator
    extends java.lang.Object

Default ResourceLocator implementation that doesn't take into account servlet loading.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `CLOSURE_MARKER`
`static java.lang.String` | `FILE_SEPARATOR`
`protected static org.springframework.core.io.Resource` | `NULL_RESOURCE`
`static java.lang.String` | `WEB_APP_DIR`
`static java.lang.String` | `WILDCARD`
`protected java.util.Map` | `classNameToResourceCache`
`protected java.util.List` | `classSearchDirectories`
`protected org.springframework.core.io.ResourceLoader` | `defaultResourceLoader`
`protected org.springframework.core.io.support.PathMatchingResourcePatternResolver` | `patchMatchingResolver`
`protected GrailsPluginManager` | `pluginManager`
`protected java.util.List` | `resourceSearchDirectories`
`protected java.util.Map` | `uriToResourceCache`
`protected boolean` | `warDeployed`

Method Summary
`org.springframework.core.io.Resource` | `findResourceForClassName(java.lang.String className)`
`org.springframework.core.io.Resource` | `findResourceForURI(java.lang.String uri)`
`protected org.springframework.core.io.Resource` | `findResourceInBinaryPlugins(DefaultResourceLocator.PluginResourceInfo info)`
`protected org.springframework.core.io.ResourceLoader` | `getDefaultResourceLoader()`
`void` | `setPluginManager(GrailsPluginManager pluginManager)`
`void` | `setResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)`
`void` | `setSearchLocation(java.lang.String searchLocation)`
`void` | `setSearchLocations(java.util.Collection searchLocations)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CLOSURE_MARKER

    public static final java.lang.String CLOSURE_MARKER

### FILE_SEPARATOR

    public static final java.lang.String FILE_SEPARATOR

### NULL_RESOURCE

    protected static final org.springframework.core.io.Resource NULL_RESOURCE

### WEB_APP_DIR

    public static final java.lang.String WEB_APP_DIR

### WILDCARD

    public static final java.lang.String WILDCARD

### classNameToResourceCache

    protected java.util.Map classNameToResourceCache

### classSearchDirectories

    protected java.util.List classSearchDirectories

### defaultResourceLoader

    protected org.springframework.core.io.ResourceLoader defaultResourceLoader

### patchMatchingResolver

    protected org.springframework.core.io.support.PathMatchingResourcePatternResolver patchMatchingResolver

### pluginManager

    protected GrailsPluginManager pluginManager

### resourceSearchDirectories

    protected java.util.List resourceSearchDirectories

### uriToResourceCache

    protected java.util.Map uriToResourceCache

### warDeployed

    protected boolean warDeployed

Method Detail

### findResourceForClassName

    public org.springframework.core.io.Resource findResourceForClassName(java.lang.String className)

### findResourceForURI

    public org.springframework.core.io.Resource findResourceForURI(java.lang.String uri)

### findResourceInBinaryPlugins

    protected org.springframework.core.io.Resource findResourceInBinaryPlugins(DefaultResourceLocator.PluginResourceInfo info)

### getDefaultResourceLoader

    protected org.springframework.core.io.ResourceLoader getDefaultResourceLoader()

### setPluginManager

    public void setPluginManager(GrailsPluginManager pluginManager)

### setResourceLoader

    public void setResourceLoader(org.springframework.core.io.ResourceLoader resourceLoader)

### setSearchLocation

    public void setSearchLocation(java.lang.String searchLocation)

### setSearchLocations

    public void setSearchLocations(java.util.Collection searchLocations)

Groovy Documentation